SystemOrganization addCategory: #KozStef!

KzMenuInfoBodySite subclass: #StefSite
	instanceVariableNames: ''
	classVariableNames: 'CachedSiteSeer'
	poolDictionaries: ''
	category: 'KozStef'!

StefSite class
	instanceVariableNames: 'site menu page main'!

!StefSite commentStamp: 'StephaneDucasse 3/14/2012 21:51' prior: 0!
StefSite new 
	bibSetFromFile: 'rmod.bib';
	generate!

StefSite class
	instanceVariableNames: 'site menu page main'!

!StefSite class methodsFor: 'help' stamp: ''!
bibEntriesWithoutKzAnnotation
	"self bibEntriesWithoutKzAnnotation"
	
	| bibset |
	bibset := CZFileLoader  bibFromFileNamed: 'rmod.bib'.
	bibset := bibset select: (CZFieldQuery named: #author checks: [:each | ('*Ducasse*') match: each]).
	^ bibset reject: [:each | '*kz*' match: (each at: #keywords) value ].! !

!StefSite class methodsFor: 'initialization' stamp: ''!
defaultCSS

 	^ 'body{
	COLOR: #000000; 
	BACKGROUND: #FFFFFF;                                    
	
	font: 10pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;

	PADDING-LEFT: 0px;
	PADDING-RIGHT: 0px;
	PADDING-TOP: 0px;
	PADDING-BOTTOM: 0px;
}


/* HEADER */

#header {
}

#headerSiteTitle {
	font-size: 12pt;
	font-weight: 500;
	letter-spacing: 1px;
	border-bottom: 1px solid #CCCCCC;
	width: 128px;
}


#headerSiteTitle {
	font-size: 12pt;
	font-weight: 500;
	letter-spacing: 1px;
	border-bottom: 1px solid #CCCCCC;
	width: 250px;
}

#headerPageTitle {
	font-size: 10pt;
	font-weight: 500;
	color: #777777;
	letter-spacing: 7px;
	margin-left: 8px;
	padding-left: 48px;
	border-left: 1px solid #CCCCCC
}

/* HEADER - end*/

/* MENU */


#menu {
	float: left;

	margin-left: 8px;
	margin-right: 32px;
	margin-bottom: 16px;
	width: 142px;
}


#toc {
	font-size: 8pt;
	padding-top: 16px;
	border-left: 1px solid #CCCCCC;
}


#tocItem {
	padding: 8px;
	border-bottom: 1px #CCCCCC solid;
}

#copyright {
	font: 7pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	color: #777777;
	margin-top: 8px;
	margin-bottom: 8px;
}

/*MENU - end*/

/*MAIN*/

td{
	font: 8pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
}


#mainContent {
	position: absolute;
	left: 160px;
	margin: 8px;
	margin-top: 0px;
	padding-top: 16px;
	
	font: 9pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	
}

#personalDetails {
	font: 7pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	float: right;
	width: 128px;
	margin-left: 16px;
	margin-bottom: 16px;
}

#personalDetailsItem{
	margin-left: 8px;
	border-left: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	padding: 8px;
}

/*MAIN - end*/

/*COMMON*/

#commonList {
}

#commonItem {
	padding-top: 8px;
	padding-bottom: 8px;
}

#commonItemDate {
	font-size: 7pt;
}

#commonItemDate:before {
	content: " ("
}

#commonItemDate:after {
	content: ") "
}

#commonItemTitle {
}

#commonItemDescription {
}

#commonItemDescription:before {
	content: "-"
}

#commonItemDetail {
	font-size: 7pt;
	margin-left: 16px;
}

/*COMMON - end*/


/*PUBLICATIONS*/

.paperList, .projectList, .contactData {
	padding-bottom:32px;
}

.paperListTitle, .projectListTitle, .contactTitle {
	letter-spacing: 2px;
	border-bottom: 1px solid #CCCCCC;
	margin-bottom: 16px;
}

.paper, .project, .supervisedThesis, .presentation {
	padding-bottom: 16px;
}

.paperAbstract, .paperBibEntry, .thesisSupervisor, .thesisAbstract {
	font-size: 7pt;
	margin-left: 16px;
	margin-top: 4px;
}

.paperRef, .thesisRef {
	margin-left: 16px;
	margin-top: 4px;
}

.paperDate, .thesisDate, .projectDate, .presentationDate {
	font-size: 7pt;
}

.paperDate:before, .thesisDate:before, .projectDate:before, .presentationDate:before {
	content: " ("
}

.paperDate:after, .thesisDate:after, .projectDate:after, .presentationDate:after {
	content: ") "
}


.paperDescription:before, .thesisDescription:before, .projectDescription:before, .presentationLocation:before {
	content: "- "
}

.paperAuthor:after, .thesisAuthor:after {
	content: " - "
}

.paperTitle, .thesisTitle {	
	color: #992222;
}

.paperTitle:after, .paperTitle:before, .thesisTitle:after, .thesisTitle:before {
	content: "''"
}

.emphasize {
	font-weight: bold;
}

.lineHeader {
	font-weight: bold;
}

/*PUBLICATIONS - end*/




/*DOCBOOK*/

#docbook {
/*	font: 9pt Times New Roman, Verdana, Tahoma, Arial, Helvetica, sans-serif;*/
}

.revhistory {
	display: none;
}

h2 {
	font-size: 12pt;
	font-weight: 200;
	letter-spacing: 2px;
}

h3 {
	font-size: 10pt;
	font-weight: 200;
	letter-spacing: 2px;
}

hr {
	display: none;
}

/*DOCBOOK - end*/


/* LINKS */

A:link {
	COLOR: #000099;
	TEXT-DECORATION: none;
}

A:visited {
	COLOR: #000099;
	TEXT-DECORATION: none;
}

A:hover {
	COLOR: #883333;
	TEXT-DECORATION: none;
}

A:active {
	COLOR: blue;
	TEXT-DECORATION: none;
}
'! !

!StefSite class methodsFor: 'help' stamp: ''!
help
	"self help"
	
	| bibset |
	bibset := CZFileLoader  bibFromFileNamed: 'rmod.bib'.
	^ bibset select: [:each | '*kz*' match: (each at: #keywords) value ].! !

!StefSite class methodsFor: 'initialization' stamp: ''!
initialize

	CachedSiteSeer := true.! !

!StefSite methodsFor: 'elements' stamp: ''!
addEditorialNavigation

	| list |
	list := KZList new. 
	self editorialSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'elements' stamp: ''!
addLanguageNavigation

	| list |
	list := KZList new. 
	self languageSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'elements' stamp: ''!
addSoftwareEvolutionNavigation

	| list |
	list := KZList new. 
	self evolutionSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 3/20/2012 10:05'!
awardText

	^ '	<div class="itemizedlist"> 
      <ul type="disc">
	<li><li>Received a "Prime d''excellence scientifique" from INRIA (2012).</li>
	<li>Distinguished Visiting Fellowship Award of the Royal Academy of Engineering (2011).</li>
	<li>Veronica Uquillas Gomez won the Benevol most promising young research Award (2011).</li>
	<li>Mariano Martinez-Peck and Martin Diaz won for Fuel the 2011 ESUG Technology Award. </li>
	<li> <a href="http://books.seaside.st/">Dynamic web development with Seaside</a>: Our new free open-source Seaside book won the ESUG member 2010 best book Award.</li>
	  <li> Michele Lanza (2003) and Alexandre Bergel (2006) PhD theses won the <a href="http://www.denert-stiftung.de/">Ernest Denert foundation for Software Engineering</a> Award.</li>
	  
	  <li> <a href="http://rmod.lille.inria.fr/botsinc/pier">Learning Programming with Robots</a> received the Award of PCPlus magazine of September 2005 and the Bitwise Recommended Award in February 2006.
	  </ul>'
! !

!StefSite methodsFor: 'accessing' stamp: ''!
bibBuilder

	^ bibBuilder! !

!StefSite methodsFor: 'accessing' stamp: ''!
bibBuilder: aBuilder

	bibBuilder := aBuilder! !

!StefSite methodsFor: 'elements' stamp: ''!
bibSetFromFile: aFileName

	super bibSetFromFile: aFileName.
	bibBuilder originalBibSet: bibSet.! !

!StefSite methodsFor: 'menu' stamp: ''!
booksMenuItem
	^ KZMenuItem new
		name: 'Books';
		link: 'Books.html';
		yourself! !

!StefSite methodsFor: 'menu' stamp: ''!
buildMenuBodyOn: menu
	menu addElement: self homeMenuItem.
	menu addElement: self pharoMenuItem.
	menu addElement: self publicationMenuItem.
	menu addElement: self booksMenuItem.
	menu addElement: self freeSmalltalkBooksMenuItem.
	menu addElement: self resourcesMenuItem.
	menu addElement: self teachingMenuItem.
	menu addElement: self coordinatesMenuItem! !

!StefSite methodsFor: 'elements' stamp: ''!
buildWelcomePageSectionsOn: welcomePage
	welcomePage addElementInMain: self sectionCurrentJob.
	welcomePage addElementInMain: self sectionAwardsAndIndexes.
	welcomePage addElementInMain: self sectionNews.
	welcomePage addElementInMain: self sectionResearch.
	welcomePage addElementInMain: self sectionSoftwareEvolution.
	welcomePage addElementInMain: self addSoftwareEvolutionNavigation.
	welcomePage addElementInMain: self sectionLanguageDesign.
	welcomePage addElementInMain: self addLanguageNavigation.
	welcomePage addElementInMain: self sectionEditorial.
	welcomePage addElementInMain: self addEditorialNavigation.
	welcomePage addElementInMain: self sectionService! !

!StefSite methodsFor: 'texts' stamp: ''!
citeseerText
	
	|cite |
	cite := CachedSiteSeer 
				ifTrue: [self defaultSiteSeer]
				ifFalse: [(Citeseer rankOf: 'S. Ducasse')].
	^ 'According to <a href="http://citeseerx.ist.psu.edu/stats/authors">CiteSeer</a>, I''m at rank ', cite asString, ' of most cited computer scientists.'.  ! !

!StefSite methodsFor: 'utils' stamp: ''!
createResearchSubTopicPages

	self evolutionSubTopics, self languageSubTopics, self editorialSubTopics
		do: [ :each | 
			self
				createSubTopic: each first
				title: each second
				text: each third
				bibTag: each fourth.
			each first ].
		! !

!StefSite methodsFor: 'utils' stamp: ''!
createSubTopic: file title: name text: text bibTag: bibTag
	| page |
	page := KZPage name: 'Research Topics' filename: file.
	self declarePage: page withId: (self subtopicKey: file).
	page addElement: self menu.
	page
		addElementInMain:
			(KZSection new
				title: name;
				levelDigitString: '3';
				text: text;
				yourself).
	page addElementInMain: (bibBuilder collectionBasedOnKozenTag: bibTag).
	^ page! !

!StefSite methodsFor: 'texts' stamp: ''!
currentJobText

	^ 'Since June 2011, I''m scientific officer of  <a HREF="http://www.inria.fr/centre-de-recherche-inria/lille-nord-europe">INRIA Lille Nord Europe research center</a>. Since September 2007, I''m research director at <a HREF="http://www.inria.fr">INRIA Lille</a> leading the <a href="http://rmod.lille.inria.fr">RMoD Team</a>. During 10 years, I co-directed with Oscar Nierstrasz the <A HREF="http://www.iam.unibe.ch/~scg"> Software Composition Group</a>. I was the leader of the <A HREF="http://www.iam.unibe.ch/~scg/Research/Recast/index.html">RECAST Project</a>.  I''m the president of <a HREF="http://www.esug.org/">ESUG</a>. Here is a short <a HREF="2011-CV.pdf">CV</a>.' ! !

!StefSite methodsFor: 'texts' stamp: ''!
currentSectionTitle
	^ 'Current responsibilities'! !

!StefSite methodsFor: 'initialize' stamp: ''!
defaultSiteSeer

	^ 3194! !

!StefSite methodsFor: 'texts' stamp: ''!
editorialSubTopics
	^ #(
		
		#('Editor' 'Workshop Proceedings ' 
		'Here are some of the proceedings of workshops and other activities I got over the year.' 
		'*kzEditor*') 
		
		#('Education' 'Teaching and Educative Support' 
		'I''m interested in how to teach computer sciences. I supervized Hilaire Fernandes on how computer sciences can support math teaching.' 
		'*kzTeaching*')
		
		#('Vulgarisation' 'Computer Science Vulgarisation' 
		'I wrote several articles around programming language topics for mass journals.' 
		'*kzVulgarisation*')
		)! !

!StefSite methodsFor: 'texts' stamp: ''!
evolutionSubTopics
	^ #(#('Modularisation' 'Software remodularisation' 
		'We explored various techniques to support software remodularisation and restructuring at different levels of granularity and with different objectives.'
		 '*kzRemodularisation*') 
	
		#('Visualization' 'Software Visualization' 
		'We explored how program visualization can support software understanding.  We work at different level: system, class, packages, but also using different information: structure, runtime, references. Quite exciting topics.' 
		'*kzVisualization*')
		
		#('MetaModeling' 'Meta Modeling' 
		'As a reflective programmer, I''m also expert in meta modelling.' 
		'*kzMeta*')
		
		#('Merging' 'Supporting Merging' 
		'During development, supporting merge activities is often ignored. I work with Veronica Uquillas-Gomez on merge support.'
		 '*kzMerging*') 
		
		#('Cycle' 'Cycle and Layer Identification' 
		'We explored how to help software engineers to take decisions related to cycles in large software systems.' 
		'*kzCycle*')
		
		#('IDE' 'Integrated Software Developments' 
		'We explored difference facets of IDEs: from frameworks to build them to dynamic information to use them.' 
		'*kzIDE*')
		
		#('Metric' 'Software Metrics and Quality Models' 
		'We applied and evaluate software metrics as well as quality models. We worked with PSA and AirFrance in the context of the Squale FUI project. We collaborated with Qualixo. ' 
		'*kzMetric')
		
		#('Dynamic' 'Dynamic information and feature analysis' 
		'We used runtime information to understand or verify runtime system aspects. We also used it to characterize features.' 
		'*kzDynamicInformation*')
		
		#('Duplication' 'Identification of Duplicated Code' 
		'' 
		'*kzDuplication*')
		
		#('Tools' 'Reengineering Tools, Interexchange, and Infrastructure' 
		'' 
		'*kzTools*')
		
		#('Checking' 'Rules Checking' 
		'I''m really interested in using rules checking for building more robust software.' 
		'*kzChecking*')
		
		#('Archi' 'Architecture Extraction and Validation ' 
		'' 
		'*kzArchi*')
		
		#('Patterns' 'Evolution, Reengineering Challenges and Patterns' 
		'' 
		'*kzPattern*')
		
		#('History' 'History-based Analyses and Mining Repositories' 
		'' 
		'*kzHistory*')
		
		)! !

!StefSite methodsFor: 'menu' stamp: ''!
freeSmalltalkBooksMenuItem
	^ KZMenuItem new
		name: 'Free Smalltalk Books';
		link: 'FreeBooks.html';
		yourself! !

!StefSite methodsFor: 'who' stamp: ''!
headerSiteTitle
	"the title inside the page"
	
	^ 'St&eacute;phane Ducasse'! !

!StefSite methodsFor: 'block' stamp: ''!
imageName
	^ 'StefFingerOnNose128.jpg'! !

!StefSite methodsFor: 'texts' stamp: ''!
indexesText

	^ 'According to google scholar my h-index is 41 and my g-index is 70 - Maximum Cites: 343.'
! !

!StefSite methodsFor: 'initialize' stamp: ''!
initialize
	super initialize.
	self cssDirectoryName: 'CSS'.
	self cssFilename: 'Stef.css'.
	bibBuilder := KZBibCollectionBuilder new author: '*Ducasse*'! !

!StefSite methodsFor: 'texts' stamp: ''!
keywordsText

	^ 'Software Engineering, Object-Oriented Programming, Language Design, Reengineering, Reverse Engineering, Program Understanding, Reflective Programming, Dynamically typed languages, Meta-Programming, MOP, Aspect-Oriented Programming, Modules, Frameworks, Design Patterns, Teaching OO, Traits, Classboxes, Scheme, Smalltalk, Java, C#.'
! !

!StefSite methodsFor: 'texts' stamp: ''!
languageSubTopics
	^ #(
	
		#('Clutter' 'Clutter collector'
			'Often objects are referenced but not used anymore. We are working on a clutter mechanism that acts as a memory manager to reduce the memory footprint of application and use secondary memory as a paging mechanism.'
			'*kzClutter*')
			
			
		#('Trait' 'Traits: Intraclass reuse' 
		'Traits are groups of methods that can be reused orthogonally to inheritance. 
		We defined Traits which allows one to structure classes orthogonally to inheritance and offer a better composition mechanism than mixins. We formalized traits  and identify the problems with their introduction in strongly-typed languages. We proposed analysis to support the identification of traits in existing applications.  We extended traits with the notion of state and visibility. 
		
		 PHP 5.4, PERL-6, Dr-Scheme OO layer, Squeak3.9 and Pharo include traits. Traits influenced Scala (http://scala.epfl.ch/) developed at EPFL. Fortress (a new language for scientific computation developed by G. Steele) is entirely based on a variant of traits (http://labs.oracle.com/projects/plrg/). Several libraries have been developed for Ruby and Javascript. 
Several research teams proposed formal type systems for traits, showing the interest of the scientific community:  S. Drossopoulos, V. Bono/F. Damiano, L. Liquori and J. Reppy/K. Fisher.'
		 '*kzTrait*') 
	
		
		#('Classbox' 'Scoping class extensions: Classboxes' 
		'Some languages such as Objective-C, Ruby, Python, Smalltalk can define methods in package while their classes is defined in other packages. This allows one to build powerful layers and extend classes. But this poses the questions of the semantics of such constructs. Classboxes is an experimental solution that scope them dynamically and propose a flat view of the world from the extending package perspective.' 
		'*kzClassbox*')
		
		#('Modules' 'Software Modules and Aspects' 
		'We worked on classboxes and this led us to think deeply about how names are looked up. We also work on aspects and other modular concerns. I spent a lot of time thinking about a good module system for dynamic languages and I will work on it.' 
		'*kzModule*')
		
		#('Web' 'Dynamic Web Development' 
		'I helped people to publish their results on web programming. I do not consider these publications as my work but just a way to help other works to be documented and presented scientifically.' 
		'*kzWeb*')
		
		#('Reflection' 'Reflective Programming and Code Manipulation' 
		'' 
		'*kzReflection*')
		
		#('Varia' 'Components, Encapsulation and Language Infrastructure Related Topics' 
		'This section lists the works related to several aspects of object-oriented systems: proxies, serialization, encapsulation.' 
		'*kzLanguageDesign*')
		
		#('Dependencies' 'Object Dependencies' 
		'This work (done during my PhD) was looking at how to introduce kind of connector between objects by having first dependencies.' 
		'*kzDependency*')
		)! !

!StefSite methodsFor: 'mail' stamp: ''!
mailText
	^ 'StephaneDucasse(@At@)inria.fr'! !

!StefSite methodsFor: 'mail' stamp: ''!
mailtoString
	^ 'mailto:stephane.ducasse@inria.fr'! !

!StefSite methodsFor: 'texts' stamp: ''!
newsText

	^ '<div class="itemizedlist"> 
      <ul type="disc"> 
		<li>I was general chair of <a href="http://www.esug.org/wiki/pier/Conferences/2011"> ESUG 2011</a>. </li>
		<li>We got a new associated team named Plomo with Pleiad of University of Chile at Santiago.</li>
	  <li>We are setting up an INRIA consortium with industrial partners around <a href="http://www.pharo-project.org">Pharo</a>. Pharo 1.3 is out and 1.4 is in alpha.</li>
	  <li><a href="http://www.pharo-project.org/pharobyexample/">Pharo By Example</a> is free and out (in spanish, french, english and  japanese)!!</li>
	 <li> <a href="http://www.moosetechnology.org">Moose</a>. Moose is a software analysis meta-described platform that allows one to understand and analyze object-oriented applications developed in Smalltalk, Java or C++. Moose 4.3 is out.</li>
	  </ul>
    </div>'! !

!StefSite methodsFor: 'menu' stamp: ''!
publicationMenuItem
	^ KZMenuItem new
		name: 'Publications';
		link: 'Publications.html';
		yourself! !

!StefSite methodsFor: 'as yet unclassified' stamp: 'StephaneDucasse 3/20/2012 10:07'!
publicationPage
	| publicationPage doc |
	publicationPage := KZPage  name: 'Publications' filename: 'Publications'.
	self declarePage: publicationPage withId: #publicationPage.
	publicationPage addElement: self menu.
	publicationPage addElementInMain: self block.
	
	"right now we parse two times the bib should be moved to the initialize."
	doc := StefPublicationsDocBuilder new
		bibset: bibSet;
		setFilteringOn.
	publicationPage
		addElementInMain: doc build document.
	^ publicationPage! !

!StefSite methodsFor: 'texts' stamp: ''!
researchText

	^ '
	My research statement is double: (1) How can we help companies to support the evolution and maintenance of their large applications and (2) how can we improve languages to better support evolution?
	
	'! !

!StefSite methodsFor: 'menu' stamp: ''!
resourcesMenuItem
	^ KZMenuItem new
		name: 'Downloads/Resources';
		link: 'Resources.html';
		yourself! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionAwardsAndIndexes

	| section | 
	section := KZSection new title: 'Awards and Indexes'; text: self indexesText , ' ', self citeseerText,  (Character cr asString), self awardText.
	self declare: section withId: #secAwards.
	^ section! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionEditorial

	| section | 
	section := KZSection new title: 'Editorial, teaching and vulgarisation'; levelDigitString: '3'; text: ''. 
	self declare: section withId: #secEditorial.
	^ section! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionLanguageDesign

	| section | 
	section := KZSection new title: 'Language Design'; levelDigitString: '3'; text: 'I''m interested in revisiting foundational bricks of object-oriented languages such as encapsulation, reuse, message passing. Now I start to work on isolation and security in reflective object-oriented languages.'. 
	self declare: section withId: #secLanguageDesign.
	^ section! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionResearch

	| section | 
	section := KZSection new title: 'Research'; text: self researchText. 
	self declare: section withId: #secResearch.
	^ section! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionService

	| section | 
	section := KZSection new title: 'Program Committees'; text: self serviceText. 
	self declare: section withId: #secResearch.
	^ section! !

!StefSite methodsFor: 'elements' stamp: ''!
sectionSoftwareEvolution

	| section | 
	section := KZSection new title: 'Maintenance and Software Evolution'; levelDigitString: '3'; text: 'I''m interested in all the aspects of software evolution and maintenance of large systems. I consulted for companies. Do not hesitate to contact me. I''m interested in your problems.' ; yourself. 
	self declare: section withId: #secMaintenance.
	^ section! !

!StefSite methodsFor: 'texts' stamp: ''!
serviceText

	^ ' Here are some of the international conferences I was PC member. Now with my new responsibilities I decline more often committees participation. 
	<div class="itemizedlist"> 
      <ul type="disc">
	 <li> European Conference on Object-Oriented Programming (ECOOP 05, 07, 10) -- Core A *.</li>
	 <li>International Conference on Software Maintenance (ICSM 05, 06, 07, 08, 10, 11) -- Core A.</li>
	 <li>European Conference on Software Maintenance and Reengineering (CSMR 06, 07, 08).</li>
	 <li>International Conference on Program Comprehension (ICPC 06, 07, 08).</li>
	 <li>International Conference on the Unified Modeling Language (UML 03, 04, Models/UML 05, Models 06, 07, 09, 10) -- Core A.</li>
	 <li>International Dynamic Languages Symposium (DLS 05, 06).</li>
	 <li>International Symposium on Software Variability: a Programmers Perspective (SVPP 08).</li>
	 <li>International Conference on Extreme Programming (XP 00, 01).</li>
	<li> International Conference on Objects, Models, Components, Patterns (TOOLS 2009, 2010, 2011).</li>
	 <li>Working Conference on Reverse Engineering (WCRE 02, 05, 06, 10).</li>
	<li> International  Conference on Software Composition (SC 09).</li>
	</ul>
	</div>
'! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 3/20/2012 09:17'!
site
	"self site"
	
	self createResearchSubTopicPages.
	self welcomePage.
	self coordinatesPage.
	self buildOtherPages.
	self publicationPage. "to be moved higher in the future"
	^ self
	! !

!StefSite methodsFor: 'utils' stamp: ''!
subtopicKey: file
	^ ('research' , file) asSymbol! !

!StefSite methodsFor: 'menu' stamp: ''!
teachingMenuItem
	^ KZMenuItem new
		name: 'Lectures and Presentations';
		link: 'Teaching.html';
		yourself! !

!StefSite methodsFor: 'who' stamp: ''!
title 

	^ 'Dr. St&eacute;phane Ducasse' ! !

Object subclass: #ManifestKozStef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'KozStef'!

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rejectClasses
^ #()! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rejectRules
^ #(78 24 115)! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule12V1FalsePositive
^ #(#('(RGMethodDefinition className: ''StefSite'' selector: #title isMetaSide: false)' #(#'15 March 2012' #'9:55:55 am')) #('(RGMethodDefinition className: ''StefSite class'' selector: #defaultCSS isMetaSide: true)' #(#'15 March 2012' #'9:56:04 am')) )! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule15V1FalsePositive
^ #(#('(RGClassDefinition named: #StefSite)' #(#'15 March 2012' #'9:56:45 am')) )! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule50V1FalsePositive
^ #(#('(RGMethodDefinition className: ''StefSite'' selector: #subtopicKey: isMetaSide: false)' #(#'15 March 2012' #'10:17:16 am')) )! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule76V1FalsePositive
^ #(#('(RGMethodDefinition className: ''StefSite'' selector: #createResearchSubTopicPages isMetaSide: false)' #(#'15 March 2012' #'10:03:31 am')) #('(RGMethodDefinition className: ''StefSite'' selector: #sectionAwardsAndIndexes isMetaSide: false)' #(#'15 March 2012' #'10:03:38 am')) )! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule8V1FalsePositive
^ #(#('(RGClassDefinition named: #StefSite)' #(#'15 March 2012' #'9:51:07 am')) #('(RGClassDefinition named: #ManifestKozStef)' #(#'15 March 2012' #'9:51:27 am')) )! !

!ManifestKozStef class methodsFor: 'meta data' stamp: ''!
rule90V1FalsePositive
^ #(#('(RGMethodDefinition className: ''StefSite'' selector: #addEditorialNavigation isMetaSide: false)' #(#'15 March 2012' #'10:13:41 am')) #('(RGMethodDefinition className: ''StefSite'' selector: #addSoftwareEvolutionNavigation isMetaSide: false)' #(#'15 March 2012' #'10:13:46 am')) #('(RGMethodDefinition className: ''StefSite'' selector: #addLanguageNavigation isMetaSide: false)' #(#'15 March 2012' #'10:13:50 am')) )! !
StefSite initialize!
